org.apache.xerces.util

## Class URI.MalformedURIException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.xerces.util.URI.MalformedURIException

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    URI

      public static class URI.MalformedURIException
      extends java.io.IOException

  MalformedURIExceptions are thrown in the process of building a URI or setting fields on a URI when an operation would result in an invalid URI specification.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MalformedURIException()` Constructs a `MalformedURIException` with no specified detail message.
    `MalformedURIException(java.lang.String p_msg)` Constructs a `MalformedURIException` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MalformedURIException

          public MalformedURIException()

      Constructs a `MalformedURIException` with no specified detail message.

    - #### MalformedURIException

          public MalformedURIException(java.lang.String p_msg)

      Constructs a `MalformedURIException` with the specified detail message.
      Parameters:
        `p_msg` - the detail message.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.